#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace GhostArena3D
{
   public class GhostArena3DReader : ContentTypeReader<List<Spawn> >
   {
      protected override List<Spawn> Read(ContentReader input, List<Spawn> existingInstance)
      {
         int size = input.ReadInt32();
         
         List<Spawn> spawns = new List<Spawn>();
         
         for(int i = 0; i < size; i++)
         {
            spawns.Add(new Spawn(input.ReadVector3()));
         }
         
         return spawns;
      }
   }
}
